Bug 975597 - make 3.82 fix for Savannah bug 30612 is incomplete (make fails on a valid dependency)
make 3.82 fix for Savannah bug 30612 is incomplete (make fails on a valid dep...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: make (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 17:29 EDT by fray
Modified: 2015-05-04 21:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: make-3.82-14.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 22:06:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Savannah 631552 None None None Never

  None (edit)
Description fray 2013-06-18 17:29:09 EDT
Description of problem:
A previous change, made as part of Bug #631552 was incomplete.  A valid dependency of the type:

target( dep1 dep2)

Fails, where:

target (dep1 dep2)

succeeds.


Version-Release number of selected component (if applicable):
make 3.82 all versions

How reproducible:
Use the following makefile

-----
test.a: test_a.c test_b.c test.a( test_a.c test_b.c)

test_a.c:
        touch $@

test_b.c:
        touch $@
------

(note those are tabs, not spaces on the 'touch' lines)

Steps to Reproduce:
1. make -f makefile

Actual results:
touch test_a.c
touch test_b.c
make: *** No rule to make target `test.a()', needed by `test.a'.  Stop.


Expected results:
touch test_a.c
touch test_b.c
ar rv test.a test_a.c
ar: creating test.a
a - test_a.c
ar rv test.a test_b.c
a - test_b.c

Additional info:
Fix should be backported from latest GNU Make repository
Comment 2 Petr Machata 2013-06-19 08:17:15 EDT
Thanks for digging this out, I'll apply the patch.
Comment 3 Fedora Update System 2013-06-19 08:26:01 EDT
make-3.82-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/make-3.82-14.fc18
Comment 4 Fedora Update System 2013-06-19 22:28:29 EDT
Package make-3.82-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing make-3.82-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11278/make-3.82-14.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-07-04 22:06:00 EDT
make-3.82-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.